// ParseMain.java
//
// Informatics 102 Spring 2012
// Code Example
//
// This program attempts to parse all of the input in a file, using a
// combination of our Scanner and Parser.  


import java.io.FileReader;
import java.io.IOException;


public class ParseMain
{
	public static void main(String[] args)
	{
		if (args.length != 1)
		{
			printUsageMessage();
			return;
		}

		FileReader fileReader = null;

		try
		{
			fileReader = new FileReader(args[0]);
			Scanner scanner = new Scanner(fileReader);
			Parser parser = new Parser(scanner);
			parser.parse();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		finally
		{
			if (fileReader != null)
			{
				try
				{
					fileReader.close();
				}
				catch (IOException e)
				{
				}
			}
		}
	}
	
	
	private static void printUsageMessage()
	{
		System.out.println("USAGE: java ParseMain INPUT_FILENAME");
	}
}
